Bug 242652 - x11-toolkits/wxgtk31: update to 3.1.3
Summary: x11-toolkits/wxgtk31: update to 3.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL: https://github.com/wxWidgets/wxWidget...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2019-12-15 18:15 UTC by Christoph Moench-Tegeder
Modified: 2019-12-27 21:20 UTC (History)
0 users

See Also:
yuri: maintainer-feedback+


Attachments
update wxgtk31 to 3.1.3 (5.93 KB, patch)
2019-12-15 18:15 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2019-12-15 18:15:22 UTC
Created attachment 209976 [details]
update wxgtk31 to 3.1.3

Release Notes: https://github.com/wxWidgets/wxWidgets/blob/v3.1.3/docs/changes.txt#L143

Attached patch updates wxgtk31 to 3.1.3 and includes portrevision bumps for audio/audacity, comms/cubicsdr, graphics/electricsheep and lang/erlang-wx (pkg reported "needed shared library changed").

"Works for me" in poudriere and doesn't break erlang-wx (for wings, the only consumer of wxgtk31 I've at hand).
Comment 1 Yuri Victorovich freebsd_committer 2019-12-23 05:17:18 UTC
Approved, thanks!
Comment 2 commit-hook freebsd_committer 2019-12-27 21:18:46 UTC
A commit references this bug:

Author: cmt
Date: Fri Dec 27 21:18:27 UTC 2019
New revision: 521026
URL: https://svnweb.freebsd.org/changeset/ports/521026

Log:
  x11-toolkits/wxgtk31: update to 3.1.3

  https://github.com/wxWidgets/wxWidgets/releases
  Bump consumers ("needed shared library changed")

  PR:		242652
  Approved by:	yuri@ (maintainer)

Changes:
  head/audio/audacity/Makefile
  head/comms/cubicsdr/Makefile
  head/graphics/electricsheep/Makefile
  head/lang/erlang-wx/Makefile
  head/x11-toolkits/wxgtk31/Makefile
  head/x11-toolkits/wxgtk31/distinfo
  head/x11-toolkits/wxgtk31/pkg-plist
Comment 3 Christoph Moench-Tegeder freebsd_committer 2019-12-27 21:20:21 UTC
committed as ports r521026 - thanks!